Page 1 of 3 123 LastLast
Results 1 to 10 of 29

Thread: NVIDIA doesn´t like SaX2!

  1. #1
    Join Date
    Jan 2009
    Location
    PARADISE
    Posts
    929

    Exclamation NVIDIA doesn´t like SaX2!

    I´ve got a pretty **** problem. If any of the driver professionals or experienecd SaX users read this, I strongly encourage you to help.
    Problem: I've installed the NVIDIA Legacy driver via 1-click through this site: NVIDIA - openSUSE (selected third option). My current system is OpenSuse 11.1.

    After rebooting I just got the bash. No graphical welcome menu. The only place I have a graphical login is in the failsafe system.
    Talking to some people on IRC, they told me to use the command.

    Code:
    sax2 -r
    That didn't work. The output of SaX was:
    Sorry. Couldn't initialize configuration server. Please refer to the error log located at...
    A second hint was given to me. I should use the following command in level 3 So...
    Code:
    init 3
    sax2 -r -m 0=nvidia
    Didn't work either - SAME output. "Could not initialize configuration server..." Now because SaX always tells me to take a glance at the error log, I've saved it. I cannot analyze it though - I'm no professional there right now. Any help is very much appreciated. The error log is located at: 7852d5e8395e780 - NoPaste - Paste it here

    Thank you in advance.

    ~TheMask.~

  2. #2
    Join Date
    Jan 2009
    Location
    PARADISE
    Posts
    929

    Default Re: NVIDIA doesn´t like SaX2!

    Whoa man... please help. I know that you know the answer.

    -TM-

  3. #3

    Default Re: NVIDIA doesn´t like SaX2!

    I would start up to the log in prompt. I assume you do not have a desktop? Log in as root and run this command
    PHP Code:
    sax2 --m 0=nv 
    This should switch you back to the original open source driver.

    Sax2 *should* start OK. Save settings and when you exit sax2 enter
    PHP Code:
    init 5 
    If that does not start your desktop, just hit control alt delete and reboot. When you come back, you should have a desktop.

    Go to Yast / Software Management and uninstall the Nvidia driver. Make a note of which version it was, so you don't waste your time with that version again.

    I would then go to Yast / Repositories and add the nvidia repo under "community repositories" then refesh and go back to software management and search for nvidia and see what Yast can find.

    I don't know what card you are using, so I can't recommend which version of the driver to use, but in any event make sure you choose one that matches your kernel. There are two files that need to be installed, an X11 file and a GO1 file and the version numbers need to match. HTH.

  4. #4
    Join Date
    Jan 2009
    Location
    PARADISE
    Posts
    929

    Default Re: NVIDIA doesn´t like SaX2!

    Thanks for your reply. I'm using a Quadro NVS 140M card - and that's why I selected the NVIDIA legacy driver on the OpenSuse one-click page.
    If that's the wrong one, please tell me.

    I will now try your commands.
    TheMask

  5. #5
    Join Date
    Jun 2008
    Location
    Wales, MA
    Posts
    486

    Default Re: NVIDIA doesn´t like SaX2!

    I just checked nvidias web site and your card is not supported by the legacy driver, but is supported by the latest driver, and has been supported since the 100 series of drivers.

    So remove the repository you have, then uninstall the driver you installed, and add the standard nvidia repositiry, in yast, then instal the G02 drivers for your kernel.

  6. #6
    Join Date
    Jan 2009
    Location
    PARADISE
    Posts
    929

    Default Re: NVIDIA doesn´t like SaX2!

    First of all: Thanks flies out to foresthill. I followed your instructions and I am able to use my desktop again now.

    See, I wanted to use the one-click install located at NVIDIA - openSUSE. Which option would I have to choose there for my card to work with?
    Umn... or should I add the repository...?


    Thanks again, fellas!
    TheMask.

  7. #7
    Join Date
    Jan 2009
    Location
    PARADISE
    Posts
    929

    Default Re: NVIDIA doesn´t like SaX2!

    Err...stupid. I will add the repository; that way I'm always up to date and on the save side. Here's another error I experienced: Output brain.exe:

    Code:
     Error 404: could not find appropriate repository for your graphic card! Ask in the forum!
    Mh... need some knowledge here to answer this one.
    TheMask.

  8. #8
    Join Date
    Jun 2008
    Location
    Wales, MA
    Posts
    486

    Default Re: NVIDIA doesn´t like SaX2!

    Some reason you can't just go into Yast, Software, Software repository, Community Repositories and select the nvidia repository?

  9. #9
    Join Date
    Jan 2009
    Location
    PARADISE
    Posts
    929

    Default Re: NVIDIA doesn´t like SaX2!

    As I said before: Brain.exe is not working correctly. ^^
    By the way: under Software Repository there is NO Community Repository.

    TheMask.

  10. #10
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    27,839
    Blog Entries
    15

    Default Re: NVIDIA doesn´t like SaX2!

    Quote Originally Posted by TheMask
    As I said before: Brain.exe is not working correctly. ^^
    By the way: under Software Repository there is NO Community Repository.

    *-TheMask.-*
    Hi
    YaST->Software->Software Repositories->Add, then select the 'Community
    Repositories' Radio button. Hit next, scroll the list and select the
    NVIDIA repository

    --
    Cheers Malcolm °¿° (Linux Counter #276890)
    openSUSE 11.1 x86 Kernel 2.6.27.7-9-default
    up 2 days 10:33, 1 user, load average: 0.33, 0.12, 0.08
    GPU GeForce 6600 TE/6200 TE - Driver Version: 180.22


Page 1 of 3 123 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •